package domain


type AlibabaWdkFinanceOrderBackflowPagination struct {
    /*
        总页数     */
    TotalPage  *int64 `json:"total_page,omitempty" `

    /*
        总记录数     */
    TotalCount  *int64 `json:"total_count,omitempty" `

    /*
        页容量     */
    PageSize  *int64 `json:"page_size,omitempty" `

    /*
        当前页码     */
    CurrentPage  *int64 `json:"current_page,omitempty" `

}

func (s *AlibabaWdkFinanceOrderBackflowPagination) SetTotalPage(v int64) *AlibabaWdkFinanceOrderBackflowPagination {
    s.TotalPage = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowPagination) SetTotalCount(v int64) *AlibabaWdkFinanceOrderBackflowPagination {
    s.TotalCount = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowPagination) SetPageSize(v int64) *AlibabaWdkFinanceOrderBackflowPagination {
    s.PageSize = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowPagination) SetCurrentPage(v int64) *AlibabaWdkFinanceOrderBackflowPagination {
    s.CurrentPage = &v
    return s
}
